# eric7.WebBrowser.Network.ProtocolHandlerManagerDialog

Module implementing a dialog to manage registered protocol handlers.

### Global Attributes

None

### Classes

ProtocolHandlerManagerDialog | Class implementing a dialog to manage registered protocol handlers.

### Functions

None

## ProtocolHandlerManagerDialog

Class implementing a dialog to manage registered protocol handlers.

### Derived from

QDialog, Ui_ProtocolHandlerManagerDialog

### Class Attributes

None

### Class Methods

None

### Methods

ProtocolHandlerManagerDialog | Constructor
on_deleteButton_clicked | Private slot to delete the selected protocol handler.
on_protocolHandlersList_itemSelectionChanged | Private slot handling a change of the selection.

### Static Methods

None

#### ProtocolHandlerManagerDialog (Constructor)

ProtocolHandlerManagerDialog(manager, parent=None)

Constructor

manager (ProtocolHandlerManager)
  reference to the protocol handlers manager object
parent (QWidget)
  reference to the parent widget

#### ProtocolHandlerManagerDialog.on_deleteButton_clicked

on_deleteButton_clicked()

Private slot to delete the selected protocol handler.

#### ProtocolHandlerManagerDialog.on_protocolHandlersList_itemSelectionChanged

on_protocolHandlersList_itemSelectionChanged()

Private slot handling a change of the selection.

Up